<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateMovimientosDetalles extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('movimientos_detalles')
			->addColumn('movimiento_id', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('centro_costo_id', 'integer', ['length' => 10, 'default' => null, 'null' => true, 'signed' => false])
			->addColumn('categoria', 'string', ['length' => 100, 'default' => null, 'null' => true])
			->addColumn('detalle', 'text', ['default' => null, 'null' => true])
			->addColumn('rut', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('digito', 'string', ['length' => 1, 'default' => null, 'null' => true])
			->addColumn('nombres', 'string', ['length' => 255, 'default' => null, 'null' => true])
			->addColumn('identificador', 'string', ['length' => 100, 'default' => null, 'null' => true])
			->addForeignKey('movimiento_id', 'movimientos', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('centro_costo_id', 'centros_costos', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
